package com.jjt.order.mapper;

import com.jjt.order.domain.TwinOrder;
import com.jjt.order.domain.TwinOrderDetail;

import java.util.List;

/**
 * 销售订单信息Mapper接口
 *
 * @author ruoyi
 * @date 2024-12-30
 */
public interface TwinOrderMapper {
    /**
     * 查询销售订单信息
     *
     * @param oderId 销售订单信息主键
     * @return 销售订单信息
     */
    public TwinOrder selectTwinOrderByOderId(Long oderId);

    /**
     * 查询销售订单信息列表
     *
     * @param twinOrder 销售订单信息
     * @return 销售订单信息集合
     */
    public List<TwinOrder> selectTwinOrderList(TwinOrder twinOrder);

    /**
     * 新增销售订单信息
     *
     * @param twinOrder 销售订单信息
     * @return 结果
     */
    public int insertTwinOrder(TwinOrder twinOrder);

    /**
     * 修改销售订单信息
     *
     * @param twinOrder 销售订单信息
     * @return 结果
     */
    public int updateTwinOrder(TwinOrder twinOrder);

    /**
     * 删除销售订单信息
     *
     * @param oderId 销售订单信息主键
     * @return 结果
     */
    public int deleteTwinOrderByOderId(Long oderId);

    /**
     * 批量删除销售订单信息
     *
     * @param oderIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTwinOrderByOderIds(String[] oderIds);

    /**
     * 批量删除销售订单明细信息
     *
     * @param oderIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTwinOrderDetailByOderIds(String[] oderIds);

    /**
     * 批量新增销售订单明细信息
     *
     * @param twinOrderDetailList 销售订单明细信息列表
     * @return 结果
     */
    public int batchTwinOrderDetail(List<TwinOrderDetail> twinOrderDetailList);


    /**
     * 通过销售订单信息主键删除销售订单明细信息信息
     *
     * @param oderId 销售订单信息ID
     * @return 结果
     */
    public int deleteTwinOrderDetailByOderId(Long oderId);
}
